Error while upgrading the host in RHV 4.1 with yum update "ovirt-hosted-engine-setup-2.1.4-1.el7ev.noarch conflicts rhvm-appliance >= 1:4.2".

Solution Unverified - Updated -

Issue

  • Following error occurred:
$ yum update
Loaded plugins: imgbased-persist, product-id, search-disabled-repos, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package libgcc.x86_64 0:4.8.5-16.el7 will be updated
---> Package libgcc.x86_64 0:4.8.5-16.el7_4.1 will be an update
---> Package libgomp.x86_64 0:4.8.5-16.el7 will be updated
---> Package libgomp.x86_64 0:4.8.5-16.el7_4.1 will be an update
---> Package python-perf.x86_64 0:3.10.0-693.5.2.el7 will be updated
---> Package python-perf.x86_64 0:3.10.0-693.11.1.el7 will be an update
---> Package redhat-virtualization-host-image-update.noarch 0:4.1-20171101.0.el7_4 will be updated
---> Package redhat-virtualization-host-image-update.noarch 0:4.2-20171218.1.el7_4 will be obsoleting
---> Package redhat-virtualization-host-image-update-placeholder.noarch 0:4.1-7.0.el7 will be obsoleted
---> Package rhvm-appliance.noarch 1:4.1.20171102.0-1.el7 will be updated
---> Package rhvm-appliance.noarch 1:4.2-20171207.0.el7 will be an update
--> Processing Conflict: ovirt-hosted-engine-setup-2.1.4-1.el7ev.noarch conflicts rhvm-appliance >= 1:4.2
--> Finished Dependency Resolution
Error: ovirt-hosted-engine-setup conflicts with 1:rhvm-appliance-4.2-20171207.0.el7.noarch
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Environment

  • Red Hat Virtualization 4.1

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In